[pgrouting] 01/04: Imported Upstream version 2.4.1

Bas Couwenberg sebastic at debian.org
Fri Mar 24 16:23:47 UTC 2017


This is an automated email from the git hooks/post-receive script.

sebastic pushed a commit to branch master
in repository pgrouting.

commit 439b4c980838b9dedac6cc93be9887b4889d30ed
Author: Bas Couwenberg <sebastic at xs4all.nl>
Date:   Fri Mar 24 16:57:18 2017 +0100

    Imported Upstream version 2.4.1
---
 CMakeLists.txt                                     |  2 +-
 NEWS                                               |  7 ++
 VERSION                                            |  2 +-
 doc/src/release_notes.rst                          | 11 +++
 doc/test/utilities-any.result                      |  2 +-
 src/bdDijkstra/src/pgr_bdDijkstra.hpp              |  2 +-
 src/topology/doc/pgr_nodeNetwork.rst               |  2 +-
 .../src/many_to_many_withPoints_driver.cpp         |  3 +-
 .../{pgrouting--2.4.0.sig => pgrouting--2.4.1.sig} |  2 +-
 tools/release-scripts/check-release.sh             | 90 ++++++++++++----------
 tools/release-scripts/compile-release.sh           | 27 ++++---
 tools/{curr-sig => sigs}/pgrouting--2.4.0.sig      |  0
 tools/testers/update-tester.sh                     |  8 +-
 13 files changed, 97 insertions(+), 61 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 092c579..440b892 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -212,7 +212,7 @@ endif()
 
 set(PGROUTING_VERSION_MAJOR "2")
 set(PGROUTING_VERSION_MINOR "4")
-set(PGROUTING_VERSION_PATCH "0")
+set(PGROUTING_VERSION_PATCH "1")
 set(PGROUTING_VERSION_DEV "")
 
 set(PGROUTING_SHORT_VERSION "${PGROUTING_VERSION_MAJOR}.${PGROUTING_VERSION_MINOR}")
diff --git a/NEWS b/NEWS
index d865619..dfb67f0 100644
--- a/NEWS
+++ b/NEWS
@@ -1,4 +1,11 @@
 
+Changes for 2.4.1
+-------------------------------------------------------------------------------
+
+* Bug fixes
+  * fixed compiling error on macOS
+  * Condition error on pgr_withPoints
+
 Changes for 2.4.0
 -------------------------------------------------------------------------------
 
diff --git a/VERSION b/VERSION
index a3d3788..5f8a85d 100644
--- a/VERSION
+++ b/VERSION
@@ -1 +1 @@
-4681-6cf07edf1 master
+4691-722e04e03 master
diff --git a/doc/src/release_notes.rst b/doc/src/release_notes.rst
index 6a50b65..456a2c6 100644
--- a/doc/src/release_notes.rst
+++ b/doc/src/release_notes.rst
@@ -18,6 +18,7 @@ To see the full list of changes check the list of `Git commits <https://github.c
 
 .. changelog start
 
+* :ref:`changelog_2_4_1`
 * :ref:`changelog_2_4_0`
 * :ref:`changelog_2_3_2`
 * :ref:`changelog_2_3_1`
@@ -34,6 +35,16 @@ To see the full list of changes check the list of `Git commits <https://github.c
 
 .. changelog end
 
+.. _changelog_2_4_1:
+
+pgRouting 2.4.1 Release Notes
+-------------------------------------------------------------------------------
+
+.. rubric:: Bug fix
+
+* Fixed compiling error on macOS
+* Condition error on pgr_withPoints
+
 .. _changelog_2_4_0:
 
 pgRouting 2.4.0 Release Notes
diff --git a/doc/test/utilities-any.result b/doc/test/utilities-any.result
index 197c4d5..005119b 100644
--- a/doc/test/utilities-any.result
+++ b/doc/test/utilities-any.result
@@ -1 +1 @@
-2.4.0
+2.4.1
diff --git a/src/bdDijkstra/src/pgr_bdDijkstra.hpp b/src/bdDijkstra/src/pgr_bdDijkstra.hpp
index 56bd888..f792deb 100644
--- a/src/bdDijkstra/src/pgr_bdDijkstra.hpp
+++ b/src/bdDijkstra/src/pgr_bdDijkstra.hpp
@@ -81,7 +81,7 @@ class Pgr_bdDijkstra {
      }
 
      std::string log() const {return m_log.str();}
-     void clean_log() {log.clear();}
+     void clean_log() {m_log.clear();}
      void clear() {
          while (!forward_queue.empty()) forward_queue.pop();
          while (!backward_queue.empty()) backward_queue.pop();
diff --git a/src/topology/doc/pgr_nodeNetwork.rst b/src/topology/doc/pgr_nodeNetwork.rst
index 712316f..40f956d 100644
--- a/src/topology/doc/pgr_nodeNetwork.rst
+++ b/src/topology/doc/pgr_nodeNetwork.rst
@@ -111,7 +111,7 @@ Now we can analyze the network.
  	 OK
 	(1 row)
 
-The analysis tell us that the network has a gap and and an intersection. We try to fix the problem using:
+The analysis tell us that the network has a gap and an intersection. We try to fix the problem using:
 
 .. code-block:: sql
 
diff --git a/src/withPoints/src/many_to_many_withPoints_driver.cpp b/src/withPoints/src/many_to_many_withPoints_driver.cpp
index 9f6d7de..eef223e 100644
--- a/src/withPoints/src/many_to_many_withPoints_driver.cpp
+++ b/src/withPoints/src/many_to_many_withPoints_driver.cpp
@@ -108,9 +108,8 @@ do_pgr_many_to_many_withPoints(
         pgassert(!(*err_msg));
         pgassert(!(*return_tuples));
         pgassert((*return_count) == 0);
-        pgassert(edges);
+        pgassert(edges || edges_of_points);
         pgassert(points_p);
-        pgassert(edges_of_points);
         pgassert(start_pidsArr);
         pgassert(end_pidsArr);
 
diff --git a/tools/curr-sig/pgrouting--2.4.0.sig b/tools/curr-sig/pgrouting--2.4.1.sig
similarity index 99%
copy from tools/curr-sig/pgrouting--2.4.0.sig
copy to tools/curr-sig/pgrouting--2.4.1.sig
index 44da2d6..f73e5b3 100644
--- a/tools/curr-sig/pgrouting--2.4.0.sig
+++ b/tools/curr-sig/pgrouting--2.4.1.sig
@@ -1,4 +1,4 @@
-#VERSION pgrouting 2.4.0
+#VERSION pgrouting 2.4.1
 #TYPES
 pgr_costresult
 pgr_costresult3
diff --git a/tools/release-scripts/check-release.sh b/tools/release-scripts/check-release.sh
index acc7c3c..2e270ed 100755
--- a/tools/release-scripts/check-release.sh
+++ b/tools/release-scripts/check-release.sh
@@ -5,53 +5,60 @@ set -e
 if [[ -z  $1 ]]; then
     echo "Mayor missing";
     echo "Usage"
-    echo "tools/release-scripts/release-check.sh Mayor Minor Micro Last";
+    echo "tools/release-scripts/release-check.sh Mayor Minor Micro Last [branch]";
     exit 1;
 fi
 if [[ -z  $2 ]]; then
     echo "Minor missing";
     echo "Usage"
-    echo "tools/release-scripts/release-check.sh Mayor Minor Micro Last";
+    echo "tools/release-scripts/release-check.sh Mayor Minor Micro Last [branch]";
     exit 1;
 fi
 
 if [[ -z  $3 ]]; then
     echo "Micro missing";
     echo "Usage"
-    echo "tools/release-scripts/release-check.sh Mayor Minor Micro Last";
+    echo "tools/release-scripts/release-check.sh Mayor Minor Micro Last [branch]";
     exit 1;
 fi
 
 if [[ -z  $4 ]]; then
     echo "Last Micro missing";
     echo "Usage"
-    echo "tools/release-scripts/release-check.sh Mayor Minor Micro Last";
+    echo "tools/release-scripts/release-check.sh Mayor Minor Micro Last [branch]";
     exit 1;
 fi
 
+
 MAYOR=$1
 MINOR=$2
-MICRO=0
+MICRO=$3
 PREV_REL=$4
 RC=""
 
+if [[ -z  $5 ]]; then
+    BRANCH="release/$MAYOR.$MINOR"
+else
+    BRANCH=$5
+fi
+
 #---------------------------------------------------------------------
-echo "### Verify branch to be release/$MAYOR.$MINOR"
+echo "### Verify branch to be $BRANCH"
 echo
 #---------------------------------------------------------------------
 
-BRANCH="$(git rev-parse --abbrev-ref HEAD)"
-echo "- [x] Working Branch: release/$MAYOR.$MINOR";
+GIT_BRANCH="$(git rev-parse --abbrev-ref HEAD)"
+echo "- [x] Working Branch: $BRANCH";
+echo
 
-if [[ "release/$MAYOR.$MINOR" == "$BRANCH" ]]; then
+if [[ "$GIT_BRANCH" == "$BRANCH" ]]; then
    echo "  - [x] Already in branch $BRANCH";
 else
    echo "  - Current Branch: $BRANCH";
-   echo "  - [x] Changing to branch $BRANCH";
    echo "\`\`\`"
-   echo git checkout release/$MAYOR.$MINOR
+   echo git checkout $BRANCH
    echo "\`\`\`"
-   git checkout release/$MAYOR.$MINOR
+   exit 1
 fi
 
 #---------------------------------------------------------------------
@@ -171,7 +178,7 @@ fi
 
 echo "- [x] Check patch information"
 echo "\`\`\`"
-echo "cat CMakeLists.txt | grep 'set(PGROUTING_VERSION_PATCH \"0\")'"
+echo "cat CMakeLists.txt | grep 'set(PGROUTING_VERSION_PATCH \"$MICRO\")'"
 echo "\`\`\`"
 if [[ $(cat CMakeLists.txt | grep 'set(PGROUTING_VERSION_PATCH' | grep $MICRO) !=  "set(PGROUTING_VERSION_PATCH \"$MICRO\")" ]]; then
     echo "FATAL: PGROUTING_VERSION_PATCH is not $MICRO"
@@ -180,7 +187,6 @@ else
     echo
 fi
 
-echo "- [x] Check dev information"
 echo "\`\`\`"
 echo "cat CMakeLists.txt | grep 'set(PGROUTING_VERSION_DEV \"$RC\")'"
 echo "\`\`\`"
@@ -188,6 +194,7 @@ if [[ $(cat CMakeLists.txt | grep 'set(PGROUTING_VERSION_DEV' ) !=  "set(PGROUTI
     echo "FATAL: PGROUTING_VERSION_DEV is not $RC"
     exit 1
 else
+    echo "- [x] Check dev information"
     echo 
 fi
 
@@ -206,6 +213,7 @@ if [[ $(cat doc/test/utilities-any.result | grep "$MAYOR.$MINOR.$MICRO") != "$MA
     exit 1
 else
     echo "- [x] pgr_version result: OK"
+    echo 
 fi
 
 echo "\`\`\`"
@@ -213,9 +221,10 @@ echo "cat VERSION | grep \"release/$MAYOR.$MINOR\""
 echo "\`\`\`"
 if [[ $(cat VERSION | grep "release/$MAYOR.$MINOR") != *"release/$MAYOR.$MINOR" ]]; then
     echo "FATAL: VERSION branch should be release/$MAYOR.$MINOR"
-    #exit 1
+    exit 1
 else
     echo "  -[x] VERSION file branch: OK"
+    echo 
 fi
 
 #---------------------------------------------------------------------
@@ -231,6 +240,7 @@ fi
 
 #---------------------------------------------------------------------
 echo "### Checking signature files"
+test_file 2.4.0
 test_file 2.3.2
 test_file 2.3.1
 test_file 2.3.0
@@ -248,42 +258,38 @@ test_file 2.0.0
 echo "### Locally make a clean build as Release"
 #---------------------------------------------------------------------
 echo "\`\`\`"
-echo "sudo rm -f /usr/lib/postgresql/9.3/lib/libpgrouting-2.4.so"
-echo "sudo rm -f /usr/share/postgresql/9.3/extension/pgrouting*2.4.0*"
-echo "rm -rf build"
-echo cd build
-echo cmake  -DWITH_DOC=ON -DBUILD_DOXY=ON -DCMAKE_BUILD_TYPE=Release ..
-echo make
-echo sudo make install
-echo make doc
-echo make doxy
-echo cd ..
+echo "bash tools/release-scripts/compile-release.sh 5   $MAYOR.$MINOR $MICRO"
+echo "bash tools/release-scripts/compile-release.sh 4.9 $MAYOR.$MINOR $MICRO"
+echo "bash tools/release-scripts/compile-release.sh 4.6 $MAYOR.$MINOR $MICRO"
+echo "bash tools/release-scripts/compile-release.sh 4.8 $MAYOR.$MINOR $MICRO"
 echo "\`\`\`"
 
-echo - [x] completed local builds
 
-bash tools/release-scripts/compile-release.sh 5
-bash tools/release-scripts/compile-release.sh 4.9
-bash tools/release-scripts/compile-release.sh 4.6
-bash tools/release-scripts/compile-release.sh 4.8
+bash tools/release-scripts/compile-release.sh 5   $MAYOR.$MINOR $MICRO
+bash tools/release-scripts/compile-release.sh 4.9 $MAYOR.$MINOR $MICRO
+bash tools/release-scripts/compile-release.sh 4.6 $MAYOR.$MINOR $MICRO
+bash tools/release-scripts/compile-release.sh 4.8 $MAYOR.$MINOR $MICRO
+
+echo - [x] completed local builds
 
 #---------------------------------------------------------------------
 echo "### checking the signature files dont change"
 #---------------------------------------------------------------------
 
-sh tools/release-scripts/get_signatures.sh 2.4.0 ___sig_generate___ curr-sig > build/tmp_sigs.txt
-sh tools/release-scripts/get_signatures.sh 2.3.2 ___sig_generate___ sigs > build/tmp_sigs.txt
-sh tools/release-scripts/get_signatures.sh 2.3.1 ___sig_generate___ sigs > build/tmp_sigs.txt
-sh tools/release-scripts/get_signatures.sh 2.3.0 ___sig_generate___ sigs > build/tmp_sigs.txt
-sh tools/release-scripts/get_signatures.sh 2.2.4 ___sig_generate___ sigs > build/tmp_sigs.txt
-sh tools/release-scripts/get_signatures.sh 2.2.3 ___sig_generate___ sigs > build/tmp_sigs.txt
-sh tools/release-scripts/get_signatures.sh 2.2.2 ___sig_generate___ sigs > build/tmp_sigs.txt
-sh tools/release-scripts/get_signatures.sh 2.2.1 ___sig_generate___ sigs > build/tmp_sigs.txt
-sh tools/release-scripts/get_signatures.sh 2.2.0 ___sig_generate___ sigs > build/tmp_sigs.txt
-sh tools/release-scripts/get_signatures.sh 2.1.0 ___sig_generate___ sigs > build/tmp_sigs.txt
+sh tools/release-scripts/get_signatures.sh 2.4.1 ___sig_generate___ curr-sig >> build/tmp_sigs.txt
+sh tools/release-scripts/get_signatures.sh 2.4.0 ___sig_generate___ sigs >> build/tmp_sigs.txt
+sh tools/release-scripts/get_signatures.sh 2.3.2 ___sig_generate___ sigs >> build/tmp_sigs.txt
+sh tools/release-scripts/get_signatures.sh 2.3.1 ___sig_generate___ sigs >> build/tmp_sigs.txt
+sh tools/release-scripts/get_signatures.sh 2.3.0 ___sig_generate___ sigs >> build/tmp_sigs.txt
+sh tools/release-scripts/get_signatures.sh 2.2.4 ___sig_generate___ sigs >> build/tmp_sigs.txt
+sh tools/release-scripts/get_signatures.sh 2.2.3 ___sig_generate___ sigs >> build/tmp_sigs.txt
+sh tools/release-scripts/get_signatures.sh 2.2.2 ___sig_generate___ sigs >> build/tmp_sigs.txt
+sh tools/release-scripts/get_signatures.sh 2.2.1 ___sig_generate___ sigs >> build/tmp_sigs.txt
+sh tools/release-scripts/get_signatures.sh 2.2.0 ___sig_generate___ sigs >> build/tmp_sigs.txt
+sh tools/release-scripts/get_signatures.sh 2.1.0 ___sig_generate___ sigs >> build/tmp_sigs.txt
 #version 2.0.1 can not be upgraded
-#sh tools/release-scripts/get_signatures.sh 2.0.1 ___sig_generate___ sigs > build/tmp_sigs.txt
-sh tools/release-scripts/get_signatures.sh 2.0.0 ___sig_generate___ sigs > build/tmp_sigs.txt
+#sh tools/release-scripts/get_signatures.sh 2.0.1 ___sig_generate___ sigs >> build/tmp_sigs.txt
+sh tools/release-scripts/get_signatures.sh 2.0.0 ___sig_generate___ sigs >> build/tmp_sigs.txt
 
 echo
 echo - [x] completed check: OK
diff --git a/tools/release-scripts/compile-release.sh b/tools/release-scripts/compile-release.sh
index a5d94fa..317dc5d 100755
--- a/tools/release-scripts/compile-release.sh
+++ b/tools/release-scripts/compile-release.sh
@@ -3,6 +3,9 @@
 set -e
 
 CPPVERSION=$1
+MINOR=$2
+MICRO=$3
+FULL_VER="$MINOR.$MICRO"
 
 function test_compile {                                                                                                                                                                                                          
 
@@ -14,37 +17,41 @@ echo ------------------------------------
 sudo update-alternatives --set gcc /usr/bin/gcc-$1
 
 cd build/
-cmake  -DWITH_DOC=ON -DBUILD_DOXY=ON -DCMAKE_BUILD_TYPE=Release .. > tmp_cmake.txt
-make > tmp_make.txt 2>tmp_make_err.txt
-sudo make install > tmp_make_install.txt
-cp lib/pgrouting--2.4.0.sig  ../tools/curr-sig/
+touch tmp_make.txt
+touch tmp_make_err.txt
+cmake  -DDOC_USE_BOOTSTRAP=ON -DWITH_DOC=ON -DBUILD_DOXY=ON -DCMAKE_BUILD_TYPE=Release .. >> tmp_make.txt
+make >> tmp_make.txt 2>>tmp_make_err.txt
+
+sudo make install >> tmp_make.txt
+
+cp lib/pgrouting--$FULL_VER.sig  ../tools/curr-sig/
 cd ..
 
 echo "  - [x] Compilation OK"
 
-tools/testers/algorithm-tester.pl > build/tmp_tests.txt
+tools/testers/algorithm-tester.pl >> build/tmp_make.txt
 echo "  - [x] Documentation tests OK"
 
 
 dropdb --if-exists ___pgr___test___
 createdb  ___pgr___test___
-sh ./tools/testers/pg_prove_tests.sh vicky > build/tmp_pgtap.txt
+sh ./tools/testers/pg_prove_tests.sh vicky >> build/tmp_make.txt
 dropdb  ___pgr___test___
 echo '  - [x] Pgtap tests OK'
 
 if [[ "$1" == "4.8" ]]; then
     cd build
-    make doc 
+    make doc >> tmp_make.txt 
     echo "  - [x] Build Users documentation OK"
-    make doxy
+    make doxy >> tmp_make.txty
     echo "  - [x] Build developers documentation OK"
     cd ..
 fi
 
 }
 
-sudo rm -f /usr/lib/postgresql/9.3/lib/libpgrouting-2.4.so
-sudo rm -f /usr/share/postgresql/9.3/extension/pgrouting*2.4.0*
+sudo rm -f /usr/lib/postgresql/9.3/lib/libpgrouting-$MINOR.so
+sudo rm -f /usr/share/postgresql/9.3/extension/pgrouting*$FULL_VER*
 rm -rf build/*
 test_compile $CPPVERSION
 
diff --git a/tools/curr-sig/pgrouting--2.4.0.sig b/tools/sigs/pgrouting--2.4.0.sig
similarity index 100%
rename from tools/curr-sig/pgrouting--2.4.0.sig
rename to tools/sigs/pgrouting--2.4.0.sig
diff --git a/tools/testers/update-tester.sh b/tools/testers/update-tester.sh
index f42d7a2..3fab357 100755
--- a/tools/testers/update-tester.sh
+++ b/tools/testers/update-tester.sh
@@ -39,7 +39,7 @@ echo -
 #  bash tools/testers/update-tester.sh
 #
 
-CURRENT=2.4.0
+CURRENT=2.4.1
 
 function update_test {
 set -e
@@ -75,6 +75,12 @@ dropdb   ___test_update
 ### updates from 2.3.0
 #------------------------------------
 
+update_test 2.4.0 $CURRENT
+
+#------------------------------------
+### updates from 2.3.0
+#------------------------------------
+
 update_test 2.3.2 $CURRENT
 update_test 2.3.1 $CURRENT
 update_test 2.3.0 $CURRENT

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-grass/pgrouting.git



More information about the Pkg-grass-devel mailing list